/*Theme Colors*/
/*******************
/*Top bar
*******************/
.topbar {
  background: #7941ce;
  background: linear-gradient(to right, #3F1E6D 0%, #7941ce 100%);
}

/*******************
/*General Elements
*******************/
a {
  color: #7941ce;
}

a.link:hover, a.link:focus {
  color: #7941ce !important;
}

.bg-theme {
  background-color: #7941ce !important;
}

.pagination > .active > a,
.pagination > .active > span,
.pagination > .active > a:hover,
.pagination > .active > span:hover,
.pagination > .active > a:focus,
.pagination > .active > span:focus {
  background-color: #7941ce;
  border-color: #7941ce;
}

.right-sidebar .rpanel-title {
  background: #7941ce;
}

.stylish-table tbody tr:hover, .stylish-table tbody tr.active {
  border-right: 4px solid #7941ce;
}

.text-themecolor {
  color: #7941ce !important;
}

.profile-tab li a.nav-link.active,
.customtab li a.nav-link.active {
  border-bottom: 2px solid #7941ce;
  color: #7941ce;
}
.profile-tab li a.nav-link:hover,
.customtab li a.nav-link:hover {
  color: #7941ce;
}

/*******************
/*Buttons
*******************/
.btn-themecolor,
.btn-themecolor.disabled {
  background: #7941ce;
  border: 1px solid #7941ce;
}
.btn-themecolor:hover,
.btn-themecolor.disabled:hover {
  background: #7941ce;
  border: 1px solid #7941ce;
}
.btn-themecolor.active, .btn-themecolor:focus,
.btn-themecolor.disabled.active,
.btn-themecolor.disabled:focus {
  background: #3F1E6D;
}

/*******************
/*sidebar navigation
*******************/
.sidebar-nav ul li a.active, .sidebar-nav ul li a:hover {
  color: #7941ce;
}
.sidebar-nav > ul > li.active > a {
  border-right: 3px solid #7941ce;
  color: #7941ce;
}
.sidebar-nav > ul > li.active > a i {
  color: #7941ce;
}
.sidebar-nav > ul > li > a.active, .sidebar-nav > ul > li > a:hover {
  border-right: 3px solid #7941ce;
}
.sidebar-nav > ul > li > a.active i, .sidebar-nav > ul > li > a:hover i {
  color: #7941ce;
}
.sidebar-nav > ul > li > a.active {
  color: #7941ce;
}

.card.widget a.list-item:hover h5 {
  color: #7941ce;
}

/***** Yousef 20/10/2023 *****/
/***** Common *****/
.text-primary {
  color: #7941ce !important;
}

.badge-primary {
  background-color: #7941ce;
}

.page-titles h3 .btn.btn-info {
  color: #7941ce;
  border-color: #7941ce;
}

.page-titles h3 .btn.btn-info:hover {
  background-color: #7941ce;
}

.btn-link:hover {
  color: #7941ce;
}

.label-info {
  background-color: #7941ce;
}

.border-primary {
  border-color: #7941ce !important;
}

.badge-light-primary {
  background-color: rgba(121, 65, 206, 0.1);
  color: #7941ce;
}

/***** End Common *****/
/***** Sidebar *****/
.v-sidebar-menu.vsm_white-theme,
.v-sidebar-menu.vsm_white-theme .vsm--dropdown .vsm--list,
.topbar .top-navbar .navbar-header.white-sm {
  background-color: #3F1E6D;
}

.vsm--scroll-wrapper::-webkit-scrollbar-thumb,
.vsm--dropdown::-webkit-scrollbar {
  background-color: #7941ce;
}

.v-sidebar-menu.vsm_white-theme .vsm--link_level-1.vsm--link_exact-active,
.v-sidebar-menu.vsm_white-theme .vsm--link_level-1.vsm--link_active,
.v-sidebar-menu .vsm--link_level-1.vsm--link_exact-active,
.v-sidebar-menu .vsm--link_level-1.vsm--link_active {
  background-color: #7941ce;
}

.v-sidebar-menu.vsm_white-theme.vsm_collapsed .vsm--link_level-1.vsm--link_hover .vsm--icon,
.v-sidebar-menu.vsm_white-theme.vsm_collapsed .vsm--link_level-1:hover .vsm--icon {
  background-color: #7941ce;
}

.v-sidebar-menu.vsm_white-theme.vsm_expanded .vsm--item_open .vsm--link_level-1,
.v-sidebar-menu.vsm_white-theme.vsm_expanded .vsm--item_open .vsm--link_level-1 .vsm--icon,
.v-sidebar-menu .vsm--mobile-bg,
.v-sidebar-menu.vsm_collapsed .vsm--link_level-1.vsm--link_hover .vsm--icon {
  background-color: #7941ce !important;
}

/***** End Sidebar *****/
/***** Table *****/
.table thead th,
.table th {
  background-color: rgba(121, 65, 206, 0.2);
}

.table-option .btn-group .btn.btn-info {
  background-color: #7941ce;
  border-color: #7941ce;
}

table.table ul li:after {
  color: #7941ce;
}

/***** End Table *****/
/***** Button *****/
.btn-primary,
.btn-primary.disabled {
  background: #7941ce;
  border: 1px solid #7941ce;
}

.btn-outline-primary {
  color: #7941ce;
  border-color: #7941ce;
}
.btn-outline-primary:hover, .btn-outline-primary:focus, .btn-outline-primary.focus {
  background: #7941ce;
  border-color: #7941ce;
}

.btn-primary:focus,
.btn-primary.disabled:focus {
  background: #7941ce !important;
  border: 1px solid #7941ce !important;
  box-shadow: 0 0 0 0.2rem rgba(121, 65, 206, 0.5);
}

.action-buttons .btn-info {
  background: #7941ce;
  border: 1px solid #7941ce;
}

.card-footer .btn-info {
  background: #7941ce;
  border: 1px solid #7941ce;
}

.btn-info,
.btn-info.disabled {
  background: #7941ce;
  border: 1px solid #7941ce;
}

.btn-info:hover,
.btn-info.disabled:hover {
  background: #3F1E6D;
  border: 1px solid #3F1E6D;
}

.btn-primary:hover,
.btn-primary.disabled:hover {
  background: #3F1E6D;
  border: 1px solid #3F1E6D;
}

.btn-primary:not(:disabled):not(.disabled):active,
.btn-primary:not(:disabled):not(.disabled).active,
.show > .btn-primary.dropdown-toggle {
  background-color: #3F1E6D;
  border-color: #3F1E6D;
  box-shadow: 0 0 0 0.2rem rgba(121, 65, 206, 0.25);
}

/***** End Button *****/
/***** Form *****/
.form-control:focus {
  border-color: #7941ce;
  box-shadow: 0 0 0 0.2rem rgba(121, 65, 206, 0.25);
}

.vue-switcher.vue-switcher-theme--bootstrap div:after {
  background-color: #3F1E6D !important;
}

.vue-switcher.vue-switcher-theme--bootstrap div {
  background-color: #7941ce !important;
}

.vue-switcher.vue-switcher-theme--bootstrap.vue-switcher--unchecked div:after {
  background-color: #3F1E6D !important;
}

.vue-switcher-theme--bootstrap.vue-switcher--unchecked div {
  background-color: #7941ce !important;
}

.card-form .form-group > .btn-info {
  background-color: #7941ce;
  border: 1px solid #7941ce;
}

input[type=checkbox] {
  accent-color: #7941ce;
}

.custom-checkbox input:checked + label {
  background-color: rgba(121, 65, 206, 0.21);
  color: #7941ce;
  border: 1px solid #7941ce;
}

.custom-checkbox input:not(:checked) + label {
  color: #7941ce;
  border: 1px solid #7941ce;
}

.url-input:after {
  color: #7941ce;
}

.form-group .form-control,
.custom-select {
  background-color: rgba(121, 65, 206, 0.04);
  border: 1px solid #7941ce;
}

.multiselect__tags {
  border: 1px solid #7941ce;
}

.form-material .form-control,
.form-material .form-control.focus,
.form-material .form-control:focus {
  background-image: linear-gradient(#7941ce, #7941ce), linear-gradient(#d9d9d9, #d9d9d9);
}

/***** End Form *****/
/***** Modal *****/
.modal-header {
  background-color: rgba(121, 65, 206, 0.42);
}

.modal-body::-webkit-scrollbar-thumb {
  background-color: #7941ce;
}

/***** End Modal *****/
/***** Dropdown Menu *****/
.dropdown-menu .dropdown-item:hover {
  color: #7941ce !important;
}

.dropdown-menu .dropdown-item:before {
  background-color: #7941ce;
}

.btn-info:not(:disabled):not(.disabled):active,
.btn-info:not(:disabled):not(.disabled).active,
.show > .btn-info.dropdown-toggle {
  background-color: #3F1E6D;
  border-color: #3F1E6D;
}

/***** End Dropdown Menu *****/
/***** List *****/
.list-group-item.pointer i {
  color: #7941ce;
}

/***** End List *****/
/***** dg Content *****/
.dg-btn--ok {
  background-color: #7941ce !important;
  border-color: #7941ce !important;
}

/***** End dg Content *****/
/***** Student Card *****/
.student-card .student-info p .other::after,
.employee-card .employee-info p .other::after {
  color: #7941ce;
}

/***** End Student Card *****/
/***** Accordion *****/
.accordion .card .card-header[aria-expanded=true],
#accordion .card .card-header[aria-expanded=true] {
  background: #7941ce;
}

/***** End Accordion *****/
/***** File Info *****/
.file-info-item span i {
  color: #7941ce;
  background-color: rgba(121, 65, 206, 0.11);
}

.main-file-info .date-wrapper i {
  color: #7941ce;
  background-color: rgba(121, 65, 206, 0.25);
}

/***** End File Info *****/
/***** Start Folder *****/
.folders-card .card-header[aria-expanded=false]:after {
  color: #7941ce;
}

.folders-card .card-header[aria-expanded=true]:after {
  color: #7941ce;
}

.folders-card .card-header .card-title h6 {
  color: #7941ce;
}

.folder-wrapper .open-icon i {
  color: #7941ce;
}

/***** End Folder *****/
/***** File Manager Tabs *****/
.file-manager-tabs.nav-tabs .nav-link {
  color: #7941ce;
  border-color: #7941ce !important;
}

.file-manager-tabs.nav-tabs .nav-link.active,
.file-manager-tabs.nav-tabs .nav-item.show .nav-link {
  background: #7941ce;
}

/***** End File Manager Tabs *****/
/***** Pagination *****/
.page-link:hover {
  color: #7941ce;
}

.page-item.active .page-link {
  background-color: #7941ce;
  border-color: #7941ce;
}

/***** End Pagination *****/
/***** Page Banner *****/
.page-banner {
  background-color: #7941ce;
}

/***** End Page Banner *****/
/***** User Info *****/
.user-dropdown-info.show {
  background-color: #3F1E6D !important;
}

.session-dropdown li:hover {
  color: #7941ce;
}

.session-dropdown li:before {
  background-color: #7941ce;
}

/***** End User Info *****/
/***** Country flag *****/
/***** User Cover *****/
.user-cover-wrapper:after {
  background: linear-gradient(to top, #171e32, #7941ce);
}

/***** End User Cover *****/
/***** Profile Tabs *****/
.profile-tabs .nav-pills .nav-link:not(.active):hover {
  color: #7941ce;
}

.profile-tabs .nav-pills::-webkit-scrollbar-thumb {
  background-color: #7941ce;
}

.profile-tabs .nav-pills .nav-link.active,
.profile-tabs .nav-pills .show > .nav-link {
  background-color: #7941ce;
}

/***** End Profile Tabs *****/
/***** Mail box *****/
.mailbox .message-center::-webkit-scrollbar-thumb {
  background-color: #7941ce;
}

/***** End Mail box *****/
/***** Custom Upload File *****/
.custom-upload-file .custom-file-label {
  border: 2px dashed #7941ce;
  background-color: rgba(121, 65, 206, 0.05);
}

.custom-upload-file .custom-file-label i {
  color: #7941ce;
}

/***** End Custom Upload File *****/
/***** class rule *****/
.class-rule .fa-plus {
  background-color: rgba(121, 65, 206, 0.3);
  color: #7941ce;
}

.addedClass {
  border: 1px solid #7941ce;
}

.addedClass p:not(:empty) {
  background-color: #7941ce;
}

/***** End class rule *****/
/***** Login *****/
.login-carousel .carousel-indicators li {
  background-color: #7941ce;
}

/***** End Login *****/
/***** Global search *****/
ul.autocomplete-results > li.autocomplete-result .item-actions a {
  color: #7941ce;
  background-color: rgba(121, 65, 206, 0.2);
}

ul.autocomplete-results > li.autocomplete-result:hover {
  background-color: rgba(121, 65, 206, 0.1);
}

ul.autocomplete-results > li.autocomplete-result .item-icon i {
  color: #7941ce;
}

ul.autocomplete-results > li.autocomplete-result .item-info .item-meta .course-batch {
  background-color: #7941ce;
}

/***** End Global search *****/
/***** File Manager *****/
#media-styles .modal-card-head.is-link,
#media-styles .progress-bar.is-link,
#media-styles .icon.is-link {
  background-color: #7941ce !important;
}
#media-styles .modal-card-head {
  background-color: #7941ce !important;
}
#media-styles .button.is-link {
  background-color: #7941ce;
}
#media-styles .search-field .field.has-addons .global-control .button,
#media-styles .search-field .field.has-addons .voice-control .button {
  background-color: #7941ce;
}
#media-styles .dropdown-menu.show a.dropdown-item:hover .control .button {
  color: #7941ce;
}
#media-styles .__stack-breadcrumb .breadcrumb a {
  color: #7941ce;
}
#media-styles .__stack-container #uploadPreview .extra-func-btns .btn-plain .icon.is-large svg svg:first-child {
  fill: #7941ce;
}
#media-styles .media-manager__dz {
  border-color: #7941ce !important;
}
#media-styles .media-manager__dz #new-upload {
  background-color: rgba(121, 65, 206, 0.25);
}
#media-styles .form-switcher input[type=checkbox]:checked + .switcher {
  background-color: #7941ce;
  border-color: #7941ce;
  box-shadow: 0 0 0 12.5px #7941ce inset;
}
#media-styles .__modal-content-wrapper .floating-btn,
#media-styles .__modal-content-wrapper .menu-item {
  background: #7941ce !important;
}
#media-styles .__modal-content-wrapper .card-content .card-details .tag {
  background: #7941ce !important;
}
#media-styles .modal-card-body .media.link {
  padding: 1rem;
  border: 2px dashed #7941ce;
}
#media-styles .__stack-sidebar .__sidebar-preview span svg {
  fill: #7941ce;
}
#media-styles .__stack-sidebar .__sidebar-info table .t-val a,
#media-styles .__stack-sidebar .__sidebar-info table .t-val button {
  color: #7941ce;
}
#media-styles .has-text-link {
  color: #7941ce !important;
}

/***** End File Manager *****/
/***** Student dashboard *****/
a:hover {
  color: #3F1E6D;
}

.dashboard-card-wrapper.student-dashboard-tabs .nav-tabs .nav-item .nav-link.active {
  border-color: #7941ce;
  color: #7941ce;
}
.dashboard-card-wrapper .card.style4 .card-body .card-title i {
  color: #7941ce;
}

.all-days-view .day-name {
  background-color: #7941ce;
}

.student-calendar .fc-unthemed .fc-today {
  background: #7941ce !important;
}

/***** End Student dashboard *****/
/***** Loading *****/
.preloader .preloader-inside:before {
  background: #7941ce;
}

/***** End Loading *****/
/***** jitsi *****/
.jitsi-main .attendances.has-background {
  background-color: #7941ce;
}

/***** End jitsi *****/
/***** End Yousef 20/10/2023 *****/
html:lang(ar) .topbar {
  background: linear-gradient(to left, #3F1E6D 0%, #7941ce 100%);
}
